// Copyright(c) Alberto C. //
// Mouse.h    - File header per le funzioni del mouse          - 03/02/2002 //
////

#ifndef __MOUSE__
    #define __MOUSE__
//
    //Tipi di puntatore del mouse per la modalita' grafica
    extern enum CUR { HELP, MENU, CONF, INFO, EDIT1, EDIT2, EDIT3 };

    //coordinate e stato del mouse
    extern int mx,my,mst;
//
    /* MOUSE: Aggiorna le coordinate del mouse mx,my
    I : \   | \
    O : int | tasto premuto
    */
    int mouse ();
//
    /* ON: Accende il mouse
    I : \ | \
    O : \ | \
    */
    void on ();
//
    /* OFF: Spegne il mouse
    I : \ | \
    O : \ | \
    */
    void off ();
//
    /* MOUSE_EXIST: Controlla che il driver per il mouse sia installato
    I : \   | \
    O : int | se 0: non installato
    */
    int mouse_exist ();
//
    /* MOUSE_HR: Setta il campo di movimento orizz.
    I1: xmin | coor. x minore
    I2: xmax | coor. x maggiore
    O : \    | \
    */
    void mouse_hr (int xmin, int xmax);
//
    /* MOUSE_VR: Setta il campo di movimento orizz.
    I1: ymin | coor. y minore
    I2: ymax | coor. y maggiore
    O : \    | \
    */
    void mouse_vr (int ymin, int ymax);
//
    /* MOVE_PT: Posiziona il mouse al punto desiderato
    I : x | coordinata x
    O : y | coordinata y
    */
    void move_pt (int x,int y);
//
    /* CHANGE_PT: Cambia la forma del mouse
    I : type | tipo di cursore
    O : \    | \
    */
    void change_pt (CUR type);
//
#endif //__MOUSE__
